Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class ApplicationBTCType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationBTCType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class ApplicationBTCType

extends Object
implements Serializable

Generiek type voor BTC.

Java class for ApplicationBTCType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationBTCType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="HasBTCAsked" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="EstimateDocument" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}DocumentListType"/>
             <element name="BTCAdjustment" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationBTCAdjustmentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ApplicationBTCType()`

Method Summary
`List<ApplicationBTCAdjustmentType>` | `getBTCAdjustments()` Gets the value of the btcAdjustments property.
`DocumentListType` | `getEstimateDocument()` Gets the value of the estimateDocument property.
`boolean` | `isHasBTCAsked()` Gets the value of the hasBTCAsked property.
`void` | `setEstimateDocument(DocumentListType value)` Sets the value of the estimateDocument property.
`void` | `setHasBTCAsked(boolean value)` Sets the value of the hasBTCAsked property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationBTCType

    public ApplicationBTCType()

Method Detail

### isHasBTCAsked

    public boolean isHasBTCAsked()

  Gets the value of the hasBTCAsked property.

### setHasBTCAsked

    public void setHasBTCAsked(boolean value)

  Sets the value of the hasBTCAsked property.

### getEstimateDocument

    public DocumentListType getEstimateDocument()

  Gets the value of the estimateDocument property.

  Returns:
    possible object is `DocumentListType`

### setEstimateDocument

    public void setEstimateDocument(DocumentListType value)

  Sets the value of the estimateDocument property.

  Parameters:
    `value` - allowed object is `DocumentListType`

### getBTCAdjustments

    public List<ApplicationBTCAdjustmentType> getBTCAdjustments()

  Gets the value of the btcAdjustments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btcAdjustments property.

  For example, to add a new item, do as follows:

          getBTCAdjustments().add(newItem);

  Objects of the following type(s) are allowed in the list `ApplicationBTCAdjustmentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.